%global srcname vspk
%global with_python3 0

Name:           python-%{srcname}
Version:        5.3.2
Release:        2%{?dist}
Summary:        SDK for the VSD API

License:        BSD-3-Clause
URL:            http://nuagenetworks.net/
Source0:        https://files.pythonhosted.org/packages/source/v/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
%endif # with_python3

%global vspk_desc \
VSPK-PythonVSPK-Python is a Python SDK for Nuage VSP Platform

%description
%{vspk_desc}

%package -n     python2-%{srcname}
Summary:        SDK for the VSD API

Requires:       python2-bambou >= 2.0
Requires:       python2-colorama
Requires:       python2-tabulate

%description -n python2-%{srcname}
%{vspk_desc}

%if 0%{?with_python3}
%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        SDK for the VSD API

Requires:       python%{python3_pkgversion}-bambou >= 2.0
Requires:       python%{python3_pkgversion}-colorama
Requires:       python%{python3_pkgversion}-tabulate

%description -n python%{python3_pkgversion}-%{srcname}
%{vspk_desc}
%endif # with_python3


%prep
%autosetup -n %{srcname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%if 0%{?with_python3}
%py3_install
rm -rf %{buildroot}%{_bindir}/*
%endif # with_python3
%py2_install

%files -n python2-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/vsd
%{_prefix}/vspk
%{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-%{version}-py?.?.egg-info

%if 0%{?with_python3}
%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE
%doc README.md
%{_bindir}/vsd
%{_prefix}/vspk
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-%{version}-py?.?.egg-info
%endif # with_python3

%changelog
* Thu Oct 25 2018 Satoe Imaishi <simaishi@redhat.com> - 5.3.2-1
- Initial package.
